<script setup>
import {useMenuFulfillmentCustomerPartners} from "~/composables/menu/fulfillmentCustomer/partners";
import {useMenuFulfillmentCustomerSales} from "~/composables/menu/fulfillmentCustomer/sales";
import {useMenuFulfillmentCustomerMaterials} from "~/composables/menu/fulfillmentCustomer/materials";


const partners = useMenuFulfillmentCustomerPartners()
const sales = useMenuFulfillmentCustomerSales()
const procurements = useProcurements()
const materials = useMenuFulfillmentCustomerMaterials()
// const manufacturings = useManufacturings()
const assets = useAssets()
const projects = useProjects()
// const analysis = useAnalysis()
// const integrations = useIntegrations()
const users = useUsers()
const requests = useRequests()
//const reports = useReports()
const settings = useSettings()

const menus = ref([
  {
    menu: true,
    text: 'Organization',
    value: 'dashboard',
    link: '/',
    icon: 'menu-icon tf-icons ti ti-layout-dashboard',
    active: false,
    child: false,
    children: []
  },
  {
    menu: true,
    text: 'Artikel',
    value: 'artikel',
    link: '/materials/products',
    icon: 'menu-icon tf-icons ti ti-archive',
    active: false,
    child: false,
    children: []
  },
  {
    menu: true,
    text: 'Auftrag',
    value: 'auftrag',
    link: '/sales/orders',
    icon: 'menu-icon tf-icons ti ti-shopping-cart',
    active: false,
    child: false,
    children: []
  },
  // ...partners.value,
  // ...materials.value,
  // ...sales.value,
  // ...procurements.value,
  // ...manufacturings.value,
  // ...assets.value,
  // ...projects.value,
  // ...analysis.value,
  // ...integrations.value,
  // ...users.value,
  // ...requests.value,
  //...reports.value,
  // ...settings.value
])
</script>

<template>
  <BaseSideBar :menus="menus" />
</template>